package com.carrotsearch.hppc.cursors;


/**
 * A cursor over entries of an associative container (short keys and byte values).
 */
public final class ShortByteCursor
{
    /**
     * The current key and value's index in the container this cursor belongs to. The meaning of
     * this index is defined by the container (usually it will be an index in the underlying
     * storage buffer).
     */
    public int index;

    /**
     * The current key.
     */
    public short key;

    /**
     * The current value.
     */
    public byte value;
}
